###189. Rotate Array

题目： 
<https://leetcode.com/problems/rotate-array/>


难度 : Easy


作弊神奇python大法

```
class Solution(object):
    def rotate(self, nums, k):
        """
        :type nums: List[int]
        :type k: int
        :rtype: void Do not return anything, modify nums in-place instead.
        """
        n = len(nums)
        nums[:] =  nums[n-k:] + nums[:n-k]
       œ
```
